# -*- coding: utf-8 -*-

"""Test Logos

Utilisation :
    créer les variables d'environnement: (indiquer les valeurs
    pour le serveur ScoDoc que vous voulez interroger)

    export SCODOC_URL="https://scodoc.xxx.net/"
    export SCODOC_USER="xxx"
    export SCODOC_PASSWD="xxx"
    export CHECK_CERTIFICATE=0 # ou 1 si serveur de production avec certif SSL valide

    (on peut aussi placer ces valeurs dans un fichier .env du répertoire tests/api).

    Lancer :
        pytest tests/api/test_api_departements.py
"""

import requests
from tests.api.setup_test_api import SCODOC_URL, HEADERS, CHECK_CERTIFICATE


# departements
def test_departements():
    r = requests.get(
        SCODOC_URL + "/ScoDoc/api/departements",
        headers=HEADERS, verify=CHECK_CERTIFICATE
    )
    assert r.status_code == 200
    assert len(r.json()) == 1


# liste_etudiants
def test_liste_etudiants():
    r = requests.get(
            SCODOC_URL + "/ScoDoc/api/departements/TAPI/etudiants/liste",
            headers=HEADERS, verify=CHECK_CERTIFICATE
        )
    assert r.status_code == 200
    assert len(r.json()) == 16

    r = requests.get(
            SCODOC_URL + "/ScoDoc/api/departements/TAPI/etudiants/liste/1",
            headers=HEADERS, verify=CHECK_CERTIFICATE
        )
    assert r.status_code == 200
    assert len(r.json()) == 16


# liste_semestres_courant
def test_semestres_courant():
    r = requests.get(
            SCODOC_URL + "/ScoDoc/api/departements/TAPI/semestres_courants",
            headers=HEADERS, verify=CHECK_CERTIFICATE
        )
    assert r.status_code == 200
    assert len(r.json()) == 1


# referenciel_competences
def test_referenciel_competences():
    r = requests.get(
            SCODOC_URL + "/ScoDoc/api/departements/TAPI/formations/1/referentiel_competences",
            headers=HEADERS, verify=CHECK_CERTIFICATE
        )
    assert r.status_code == 200 or 204


# # semestre_index
# def test_semestre_index():
#     r = requests.get(
#             SCODOC_URL + "/ScoDoc/api/departements/TAPI/formsemestre/1/programme",
#             headers=HEADERS, verify=CHECK_CERTIFICATE
#         )
#     assert r.status_code == 200


















