# -*- coding: utf-8 -*-

"""Test Logos

Utilisation :
    créer les variables d'environnement: (indiquer les valeurs
    pour le serveur ScoDoc que vous voulez interroger)

    export SCODOC_URL="https://scodoc.xxx.net/"
    export SCODOC_USER="xxx"
    export SCODOC_PASSWD="xxx"
    export CHECK_CERTIFICATE=0 # ou 1 si serveur de production avec certif SSL valide

    (on peut aussi placer ces valeurs dans un fichier .env du répertoire tests/api).

    Lancer :
        pytest tests/api/test_api_evaluations.py
"""

import requests
from tests.api.setup_test_api import SCODOC_URL, HEADERS, CHECK_CERTIFICATE


# evaluations
def test_evaluations():
    r = requests.get(
            SCODOC_URL + "/ScoDoc/api/evaluations/<int:moduleimpl_id>",
            headers=HEADERS, verify=CHECK_CERTIFICATE
        )
    assert r.status_code == 200

# evaluation_notes
def test_evaluation_notes():
    r = requests.get(
            SCODOC_URL + "/ScoDoc/api/evaluations/eval_notes/<int:evaluation_id>",
            headers=HEADERS, verify=CHECK_CERTIFICATE
        )
    assert r.status_code == 200

# evaluation_set_notes
def test_evaluation_set_notes():
    r = requests.get(
            SCODOC_URL + "/ScoDoc/api/evaluations/eval_set_notes?eval_id=<int:eval_id>&etudid=<int:etudid>&note=<float:note>",
            headers=HEADERS, verify=CHECK_CERTIFICATE
        )
    assert r.status_code == 200

    r = requests.get(
            SCODOC_URL + "/ScoDoc/api/evaluations/eval_set_notes?eval_id=<int:eval_id>&nip=<int:nip>&note=<float:note>",
            headers=HEADERS, verify=CHECK_CERTIFICATE
        )
    assert r.status_code == 200

    r = requests.get(
            SCODOC_URL + "/ScoDoc/api/evaluations/eval_set_notes?eval_id=<int:eval_id>&ine=<int:ine>&note=<float:note>",
            headers=HEADERS, verify=CHECK_CERTIFICATE
        )
    assert r.status_code == 200
