# -*- coding: utf-8 -*-

"""Test Logos

Utilisation :
    créer les variables d'environnement: (indiquer les valeurs
    pour le serveur ScoDoc que vous voulez interroger)

    export SCODOC_URL="https://scodoc.xxx.net/"
    export SCODOC_USER="xxx"
    export SCODOC_PASSWD="xxx"
    export CHECK_CERTIFICATE=0 # ou 1 si serveur de production avec certif SSL valide

    (on peut aussi placer ces valeurs dans un fichier .env du répertoire tests/api).

    Lancer :
        pytest tests/api/test_api_formsemestre.py
"""

import requests
from tests.api.setup_test_api import SCODOC_URL, HEADERS, CHECK_CERTIFICATE


# formsemestre
def test_formsemestre():
    r = requests.get(
            SCODOC_URL + "/ScoDoc/api/formations/formsemestre/<int:formsemestre_id>",
            headers=HEADERS, verify=CHECK_CERTIFICATE
        )
    assert r.status_code == 200

# etudiant_bulletin
def test_etudiant_bulletin():
    r = requests.get(
            SCODOC_URL + "/ScoDoc/api/formsemestre/<int:formsemestre_id>/departements/<string:dept>/etudiant/etudid/<int:etudid>/bulletin",
            headers=HEADERS, verify=CHECK_CERTIFICATE
        )
    assert r.status_code == 200

    r = requests.get(
            SCODOC_URL + "/ScoDoc/api/formsemestre/<int:formsemestre_id>/departements/<string:dept>/etudiant/nip/<int:nip>/bulletin",
            headers=HEADERS, verify=CHECK_CERTIFICATE
        )
    assert r.status_code == 200

    r = requests.get(
            SCODOC_URL + "/ScoDoc/api/formsemestre/<int:formsemestre_id>/departements/<string:dept>/etudiant/ine/<int:ine>/bulletin",
            headers=HEADERS, verify=CHECK_CERTIFICATE
        )
    assert r.status_code == 200

# bulletins
def test_bulletins():
    r = requests.get(
            SCODOC_URL + "/ScoDoc/api/formsemestre/<int:formsemestre_id>/bulletins",
            headers=HEADERS, verify=CHECK_CERTIFICATE
        )
    assert r.status_code == 200


# jury
def test_jury():
    r = requests.get(
            SCODOC_URL + "/ScoDoc/api/formsemestre/<int:formsemestre_id>/jury",
            headers=HEADERS, verify=CHECK_CERTIFICATE
        )
    assert r.status_code == 200